## EDataBookViewWatcherSqlite

EDataBookViewWatcherSqlite — Watch EDataBookView changes with contacts in EBookSqlite

## Functions

GObject * | e_data_book_view_watcher_sqlite_new ()
void | e_data_book_view_watcher_sqlite_take_sort_fields ()

## Types and Values

struct | EDataBookViewWatcherSqlite

## Object Hierarchy

        GObject
        ╰── EBookIndicesUpdater
            ╰── EDataBookViewWatcherSqlite

## Includes

    #include <libedata-book/libedata-book.h>

## Description

A structure used to handle "manual query" views for EBookBackend descendants which use EBookSqlite to store the contacts.

See `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` for what it means "manual query" view.

## Functions

### e_data_book_view_watcher_sqlite_new ()

    GObject *
    e_data_book_view_watcher_sqlite_new (EBookBackend *backend,
                                         EBookSqlite *ebsql,
                                         EDataBookView *view);

Creates a new EDataBookViewWatcherSqlite, which will watch the `view` and will provide the information about indices and total contacts to the `backend` , taking the data from the `ebsql` .

#### Parameters

backend | an EBookBackend |
ebsql | an EBookSqlite |
view | an EDataBookView |

#### Returns

a new EDataBookViewWatcherSqlite.

[transfer full]

Since: 3.50

### e_data_book_view_watcher_sqlite_take_sort_fields ()

    void
    e_data_book_view_watcher_sqlite_take_sort_fields
                                   (EDataBookViewWatcherSqlite *self,
                                    EBookClientViewSortFields *sort_fields);

Sets `sort_fields` as fields to sort the contacts by. If `NULL`, sorts by file-as field. The function assumes ownership of the `sort_fields` .

#### Parameters

self | an EDataBookViewWatcherSqlite |
sort_fields | an EBookClientViewSortFields, or `NULL`. | [nullable][transfer full]

Since: 3.50

## Types and Values

### struct EDataBookViewWatcherSqlite

    struct EDataBookViewWatcherSqlite;

A structure used to handle "manual query" views for EBookBackend descendants which use EBookSqlite to store the contacts.

Since: 3.50